diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/ms-load.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/ms-load.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/ms-load.php	2012-11-07 16:03:23.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/ms-load.php	2013-06-26 14:33:58.000000000 -0500
***************
*** 69,75 ****
   * @return bool|string Returns true on success, or drop-in file to include.
   */
  function ms_site_check() {
! 	global $wpdb;
  
  	$blog = get_blog_details();
  
--- 69,75 ----
   * @return bool|string Returns true on success, or drop-in file to include.
   */
  function ms_site_check() {
! 	global $wpdb, $current_site;
  
  	$blog = get_blog_details();
  
***************
*** 240,246 ****
  		die( $msg );
  	$msg .= '<p>' . __( 'If your site does not display, please contact the owner of this network.' ) . '';
  	$msg .= ' ' . __( 'If you are the owner of this network please check that MySQL is running properly and all tables are error free.' ) . '</p>';
! 	if ( false && !$wpdb->get_var( "SHOW TABLES LIKE '$wpdb->site'" ) )
  		$msg .= '<p>' . sprintf( __( '<strong>Database tables are missing.</strong> This means that MySQL is not running, WordPress was not installed properly, or someone deleted <code>%s</code>. You really should look at your database now.' ), $wpdb->site ) . '</p>';
  	else
  		$msg .= '<p>' . sprintf( __( '<strong>Could not find site <code>%1$s</code>.</strong> Searched for table <code>%2$s</code> in database <code>%3$s</code>. Is that right?' ), rtrim( $domain . $path, '/' ), $wpdb->blogs, DB_NAME ) . '</p>';
--- 240,246 ----
  		die( $msg );
  	$msg .= '<p>' . __( 'If your site does not display, please contact the owner of this network.' ) . '';
  	$msg .= ' ' . __( 'If you are the owner of this network please check that MySQL is running properly and all tables are error free.' ) . '</p>';
! 	if ( ! $wpdb->get_var( "SHOW TABLES LIKE '$wpdb->site'" ) )
  		$msg .= '<p>' . sprintf( __( '<strong>Database tables are missing.</strong> This means that MySQL is not running, WordPress was not installed properly, or someone deleted <code>%s</code>. You really should look at your database now.' ), $wpdb->site ) . '</p>';
  	else
  		$msg .= '<p>' . sprintf( __( '<strong>Could not find site <code>%1$s</code>.</strong> Searched for table <code>%2$s</code> in database <code>%3$s</code>. Is that right?' ), rtrim( $domain . $path, '/' ), $wpdb->blogs, DB_NAME ) . '</p>';
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/nav-menu.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/nav-menu.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/nav-menu.php	2012-11-06 08:46:56.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/nav-menu.php	2013-07-05 10:41:46.000000000 -0500
***************
*** 127,133 ****
   */
  
  function get_nav_menu_locations() {
! 	return get_theme_mod( 'nav_menu_locations' );
  }
  
  /**
--- 127,134 ----
   */
  
  function get_nav_menu_locations() {
! 	$locations = get_theme_mod( 'nav_menu_locations' );
! 	return ( is_array( $locations ) ) ? $locations : array();
  }
  
  /**
***************
*** 188,193 ****
--- 189,202 ----
  
  	$result = wp_delete_term( $menu->term_id, 'nav_menu' );
  
+ 	// Remove this menu from any locations.
+ 	$locations = get_theme_mod( 'nav_menu_locations' );
+ 	foreach ( (array) $locations as $location => $menu_id ) {
+ 		if ( $menu_id == $menu->term_id )
+ 			$locations[ $location ] = 0;
+ 	}
+ 	set_theme_mod( 'nav_menu_locations', $locations );
+ 
  	if ( $result && !is_wp_error($result) )
  		do_action( 'wp_delete_nav_menu', $menu->term_id );
  
***************
*** 327,339 ****
  			$original_title = $original_object->post_title;
  		}
  
! 		if ( empty( $args['menu-item-title'] ) || $args['menu-item-title'] == $original_title ) {
  			$args['menu-item-title'] = '';
  
! 			// hack to get wp to create a post object when too many properties are empty
! 			if ( empty( $args['menu-item-description'] ) )
! 				$args['menu-item-description'] = ' ';
! 		}
  	}
  
  	// Populate the menu item object
--- 336,347 ----
  			$original_title = $original_object->post_title;
  		}
  
! 		if ( $args['menu-item-title'] == $original_title )
  			$args['menu-item-title'] = '';
  
! 		// hack to get wp to create a post object when too many properties are empty
! 		if ( '' ==  $args['menu-item-title'] && '' == $args['menu-item-description'] )
! 			$args['menu-item-description'] = ' ';
  	}
  
  	// Populate the menu item object
***************
*** 633,638 ****
--- 641,649 ----
  			$menu_item->object = $object->name;
  			$menu_item->type_label = $object->labels->singular_name;
  
+ 			if ( '' === $menu_item->post_title )
+ 				$menu_item->post_title = sprintf( __( '#%d (no title)' ), $menu_item->ID );
+ 
  			$menu_item->title = $menu_item->post_title;
  			$menu_item->url = get_permalink( $menu_item->ID );
  			$menu_item->target = '';
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/nav-menu-template.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/nav-menu-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/nav-menu-template.php	2012-10-25 15:32:01.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/nav-menu-template.php	2013-07-10 00:14:43.000000000 -0500
***************
*** 80,89 ****
  
  		$output .= $indent . '<li' . $id . $value . $class_names .'>';
  
! 		$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
! 		$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
! 		$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
! 		$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
  
  		$item_output = $args->before;
  		$item_output .= '<a'. $attributes .'>';
--- 80,100 ----
  
  		$output .= $indent . '<li' . $id . $value . $class_names .'>';
  
! 		$atts = array();
! 		$atts['title']  = ! empty( $item->attr_title ) ? $item->attr_title : '';
! 		$atts['target'] = ! empty( $item->target )     ? $item->target     : '';
! 		$atts['rel']    = ! empty( $item->xfn )        ? $item->xfn        : '';
! 		$atts['href']   = ! empty( $item->url )        ? $item->url        : '';
! 
! 		$atts = apply_filters( 'nav_menu_link_attributes', $atts, $item, $args );
! 
! 		$attributes = '';
! 		foreach ( $atts as $attr => $value ) {
! 			if ( ! empty( $value ) ) {
! 				$value = ( 'href' === $attr ) ? esc_url( $value ) : esc_attr( $value );
! 				$attributes .= ' ' . $attr . '="' . $value . '"';
! 			}
! 		}
  
  		$item_output = $args->before;
  		$item_output .= '<a'. $attributes .'>';
***************
*** 168,184 ****
  
  	/*
  	 * If no menu was found:
! 	 *  - Fallback (if one was specified), or bail.
  	 *
  	 * If no menu items were found:
! 	 *  - Fallback, but only if no theme location was specified.
  	 *  - Otherwise, bail.
  	 */
  	if ( ( !$menu || is_wp_error($menu) || ( isset($menu_items) && empty($menu_items) && !$args->theme_location ) )
  		&& $args->fallback_cb && is_callable( $args->fallback_cb ) )
  			return call_user_func( $args->fallback_cb, (array) $args );
  
! 	if ( !$menu || is_wp_error( $menu ) || empty( $menu_items ) )
  		return false;
  
  	$nav_menu = $items = '';
--- 179,195 ----
  
  	/*
  	 * If no menu was found:
! 	 *  - Fall back (if one was specified), or bail.
  	 *
  	 * If no menu items were found:
! 	 *  - Fall back, but only if no theme location was specified.
  	 *  - Otherwise, bail.
  	 */
  	if ( ( !$menu || is_wp_error($menu) || ( isset($menu_items) && empty($menu_items) && !$args->theme_location ) )
  		&& $args->fallback_cb && is_callable( $args->fallback_cb ) )
  			return call_user_func( $args->fallback_cb, (array) $args );
  
! 	if ( ! $menu || is_wp_error( $menu ) )
  		return false;
  
  	$nav_menu = $items = '';
***************
*** 228,233 ****
--- 239,248 ----
  	$items = apply_filters( 'wp_nav_menu_items', $items, $args );
  	$items = apply_filters( "wp_nav_menu_{$menu->slug}_items", $items, $args );
  
+ 	// Don't print any markup if there are no items at this point.
+ 	if ( empty( $items ) )
+ 		return false;
+ 
  	$nav_menu .= sprintf( $args->items_wrap, esc_attr( $wrap_id ), esc_attr( $wrap_class ), $items );
  	unset( $items );
  
***************
*** 251,257 ****
   * @param array $menu_items The current menu item objects to which to add the class property information.
   */
  function _wp_menu_item_classes_by_context( &$menu_items ) {
! 	global $wp_query;
  
  	$queried_object = $wp_query->get_queried_object();
  	$queried_object_id = (int) $wp_query->queried_object_id;
--- 266,272 ----
   * @param array $menu_items The current menu item objects to which to add the class property information.
   */
  function _wp_menu_item_classes_by_context( &$menu_items ) {
! 	global $wp_query, $wp_rewrite;
  
  	$queried_object = $wp_query->get_queried_object();
  	$queried_object_id = (int) $wp_query->queried_object_id;
***************
*** 367,373 ****
  			$current_url = set_url_scheme( 'http://' . $_SERVER['HTTP_HOST'] . $_root_relative_current );
  			$raw_item_url = strpos( $menu_item->url, '#' ) ? substr( $menu_item->url, 0, strpos( $menu_item->url, '#' ) ) : $menu_item->url;
  			$item_url = untrailingslashit( $raw_item_url );
! 			$_indexless_current = untrailingslashit( preg_replace( '/index.php$/', '', $current_url ) );
  
  			if ( $raw_item_url && in_array( $item_url, array( $current_url, $_indexless_current, $_root_relative_current ) ) ) {
  				$classes[] = 'current-menu-item';
--- 382,388 ----
  			$current_url = set_url_scheme( 'http://' . $_SERVER['HTTP_HOST'] . $_root_relative_current );
  			$raw_item_url = strpos( $menu_item->url, '#' ) ? substr( $menu_item->url, 0, strpos( $menu_item->url, '#' ) ) : $menu_item->url;
  			$item_url = untrailingslashit( $raw_item_url );
! 			$_indexless_current = untrailingslashit( preg_replace( '/' . preg_quote( $wp_rewrite->index, '/' ) . '$/', '', $current_url ) );
  
  			if ( $raw_item_url && in_array( $item_url, array( $current_url, $_indexless_current, $_root_relative_current ) ) ) {
  				$classes[] = 'current-menu-item';
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/option.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/option.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/option.php	2012-11-17 07:20:57.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/option.php	2013-07-21 23:24:13.000000000 -0500
***************
*** 104,111 ****
   * @param string $option Option name.
   */
  function wp_protect_special_option( $option ) {
! 	$protected = array( 'alloptions', 'notoptions' );
! 	if ( in_array( $option, $protected ) )
  		wp_die( sprintf( __( '%s is a protected WP option and may not be modified' ), esc_html( $option ) ) );
  }
  
--- 104,110 ----
   * @param string $option Option name.
   */
  function wp_protect_special_option( $option ) {
! 	if ( 'alloptions' === $option || 'notoptions' === $option )
  		wp_die( sprintf( __( '%s is a protected WP option and may not be modified' ), esc_html( $option ) ) );
  }
  
***************
*** 248,257 ****
  	if ( ! defined( 'WP_INSTALLING' ) ) {
  		$alloptions = wp_load_alloptions();
  		if ( isset( $alloptions[$option] ) ) {
! 			$alloptions[$option] = $_newvalue;
  			wp_cache_set( 'alloptions', $alloptions, 'options' );
  		} else {
! 			wp_cache_set( $option, $_newvalue, 'options' );
  		}
  	}
  
--- 247,256 ----
  	if ( ! defined( 'WP_INSTALLING' ) ) {
  		$alloptions = wp_load_alloptions();
  		if ( isset( $alloptions[$option] ) ) {
! 			$alloptions[$option] = $newvalue;
  			wp_cache_set( 'alloptions', $alloptions, 'options' );
  		} else {
! 			wp_cache_set( $option, $newvalue, 'options' );
  		}
  	}
  
***************
*** 360,365 ****
--- 359,368 ----
  function delete_option( $option ) {
  	global $wpdb;
  
+ 	$option = trim( $option );
+ 	if ( empty( $option ) )
+ 		return false;
+ 
  	wp_protect_special_option( $option );
  
  	// Get the ID, if no ID then return
***************
*** 512,519 ****
  		}
  	}
  	if ( $result ) {
! 		do_action( 'set_transient_' . $transient );
! 		do_action( 'setted_transient', $transient );
  	}
  	return $result;
  }
--- 515,522 ----
  		}
  	}
  	if ( $result ) {
! 		do_action( 'set_transient_' . $transient, $value, $expiration );
! 		do_action( 'setted_transient', $transient, $value, $expiration );
  	}
  	return $result;
  }
***************
*** 1049,1056 ****
  		}
  	}
  	if ( $result ) {
! 		do_action( 'set_site_transient_' . $transient );
! 		do_action( 'setted_site_transient', $transient );
  	}
  	return $result;
  }
--- 1052,1059 ----
  		}
  	}
  	if ( $result ) {
! 		do_action( 'set_site_transient_' . $transient, $value, $expiration );
! 		do_action( 'setted_site_transient', $transient, $value, $expiration );
  	}
  	return $result;
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/pluggable-deprecated.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/pluggable-deprecated.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/pluggable-deprecated.php	2012-09-11 15:11:39.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/pluggable-deprecated.php	2013-05-22 16:01:57.000000000 -0500
***************
*** 177,192 ****
   *
   * @since 2.2.0
   * @deprecated 3.5.0
!  * @link http://wordpress.org/extend/plugins/atom-publishing-protocol/
   */
  if ( ! class_exists( 'wp_atom_server' ) ) {
  	class wp_atom_server {
  		public function __call( $name, $arguments ) {
! 			_deprecated_function( __CLASS__ . '::' . $name, '3.5', 'the Atom Publishing Platform plugin' );
  		}
  
  		public static function __callStatic( $name, $arguments ) {
! 			_deprecated_function( __CLASS__ . '::' . $name, '3.5', 'the Atom Publishing Platform plugin' );
  		}
  	}
  }
\ No newline at end of file
--- 177,192 ----
   *
   * @since 2.2.0
   * @deprecated 3.5.0
!  * @link http://wordpress.org/plugins/atom-publishing-protocol/
   */
  if ( ! class_exists( 'wp_atom_server' ) ) {
  	class wp_atom_server {
  		public function __call( $name, $arguments ) {
! 			_deprecated_function( __CLASS__ . '::' . $name, '3.5', 'the Atom Publishing Protocol plugin' );
  		}
  
  		public static function __callStatic( $name, $arguments ) {
! 			_deprecated_function( __CLASS__ . '::' . $name, '3.5', 'the Atom Publishing Protocol plugin' );
  		}
  	}
  }
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/pluggable.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/pluggable.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/pluggable.php	2013-06-20 21:15:55.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/pluggable.php	2013-07-10 17:01:12.000000000 -0500
***************
*** 448,459 ****
  
  	// Send!
  	try {
! 		$phpmailer->Send();
  	} catch ( phpmailerException $e ) {
  		return false;
  	}
- 
- 	return true;
  }
  endif;
  
--- 448,457 ----
  
  	// Send!
  	try {
! 		return $phpmailer->Send();
  	} catch ( phpmailerException $e ) {
  		return false;
  	}
  }
  endif;
  
***************
*** 651,659 ****
   */
  function wp_set_auth_cookie($user_id, $remember = false, $secure = '') {
  	if ( $remember ) {
! 		$expiration = $expire = time() + apply_filters('auth_cookie_expiration', 1209600, $user_id, $remember);
  	} else {
! 		$expiration = time() + apply_filters('auth_cookie_expiration', 172800, $user_id, $remember);
  		$expire = 0;
  	}
  
--- 649,657 ----
   */
  function wp_set_auth_cookie($user_id, $remember = false, $secure = '') {
  	if ( $remember ) {
! 		$expiration = $expire = time() + apply_filters('auth_cookie_expiration', 14 * DAY_IN_SECONDS, $user_id, $remember);
  	} else {
! 		$expiration = time() + apply_filters('auth_cookie_expiration', 2 * DAY_IN_SECONDS, $user_id, $remember);
  		$expire = 0;
  	}
  
***************
*** 816,822 ****
  	}
  	do_action('check_admin_referer', $action, $result);
  	return $result;
! }endif;
  
  if ( !function_exists('check_ajax_referer') ) :
  /**
--- 814,821 ----
  	}
  	do_action('check_admin_referer', $action, $result);
  	return $result;
! }
! endif;
  
  if ( !function_exists('check_ajax_referer') ) :
  /**
***************
*** 998,1003 ****
--- 997,1006 ----
  	if ( $post->post_author == get_current_user_id() )
  		return false;
  
+ 	// The post author is no longer a member of the blog
+ 	if ( ! user_can( $post->post_author, 'read_post', $post->ID ) )
+ 		return false;
+ 
  	// If there's no email to send the comment to
  	if ( '' == $author->user_email )
  		return false;
***************
*** 1042,1052 ****
  	}
  	$notify_message .= get_permalink($comment->comment_post_ID) . "#comments\r\n\r\n";
  	$notify_message .= sprintf( __('Permalink: %s'), get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment_id ) . "\r\n";
! 	if ( EMPTY_TRASH_DAYS )
! 		$notify_message .= sprintf( __('Trash it: %s'), admin_url("comment.php?action=trash&c=$comment_id") ) . "\r\n";
! 	else
! 		$notify_message .= sprintf( __('Delete it: %s'), admin_url("comment.php?action=delete&c=$comment_id") ) . "\r\n";
! 	$notify_message .= sprintf( __('Spam it: %s'), admin_url("comment.php?action=spam&c=$comment_id") ) . "\r\n";
  
  	$wp_email = 'wordpress@' . preg_replace('#^www\.#', '', strtolower($_SERVER['SERVER_NAME']));
  
--- 1045,1058 ----
  	}
  	$notify_message .= get_permalink($comment->comment_post_ID) . "#comments\r\n\r\n";
  	$notify_message .= sprintf( __('Permalink: %s'), get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment_id ) . "\r\n";
! 
! 	if ( user_can( $post->post_author, 'edit_comment', $comment_id ) ) {
! 		if ( EMPTY_TRASH_DAYS )
! 			$notify_message .= sprintf( __('Trash it: %s'), admin_url("comment.php?action=trash&c=$comment_id") ) . "\r\n";
! 		else
! 			$notify_message .= sprintf( __('Delete it: %s'), admin_url("comment.php?action=delete&c=$comment_id") ) . "\r\n";
! 		$notify_message .= sprintf( __('Spam it: %s'), admin_url("comment.php?action=spam&c=$comment_id") ) . "\r\n";
! 	}
  
  	$wp_email = 'wordpress@' . preg_replace('#^www\.#', '', strtolower($_SERVER['SERVER_NAME']));
  
***************
*** 1192,1218 ****
  function wp_new_user_notification($user_id, $plaintext_pass = '') {
  	$user = get_userdata( $user_id );
  
- 	$user_login = stripslashes($user->user_login);
- 	$user_email = stripslashes($user->user_email);
- 
  	// The blogname option is escaped with esc_html on the way into the database in sanitize_option
  	// we want to reverse this for the plain text arena of emails.
  	$blogname = wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);
  
  	$message  = sprintf(__('New user registration on your site %s:'), $blogname) . "\r\n\r\n";
! 	$message .= sprintf(__('Username: %s'), $user_login) . "\r\n\r\n";
! 	$message .= sprintf(__('E-mail: %s'), $user_email) . "\r\n";
  
  	@wp_mail(get_option('admin_email'), sprintf(__('[%s] New User Registration'), $blogname), $message);
  
  	if ( empty($plaintext_pass) )
  		return;
  
! 	$message  = sprintf(__('Username: %s'), $user_login) . "\r\n";
  	$message .= sprintf(__('Password: %s'), $plaintext_pass) . "\r\n";
  	$message .= wp_login_url() . "\r\n";
  
! 	wp_mail($user_email, sprintf(__('[%s] Your username and password'), $blogname), $message);
  
  }
  endif;
--- 1198,1221 ----
  function wp_new_user_notification($user_id, $plaintext_pass = '') {
  	$user = get_userdata( $user_id );
  
  	// The blogname option is escaped with esc_html on the way into the database in sanitize_option
  	// we want to reverse this for the plain text arena of emails.
  	$blogname = wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);
  
  	$message  = sprintf(__('New user registration on your site %s:'), $blogname) . "\r\n\r\n";
! 	$message .= sprintf(__('Username: %s'), $user->user_login) . "\r\n\r\n";
! 	$message .= sprintf(__('E-mail: %s'), $user->user_email) . "\r\n";
  
  	@wp_mail(get_option('admin_email'), sprintf(__('[%s] New User Registration'), $blogname), $message);
  
  	if ( empty($plaintext_pass) )
  		return;
  
! 	$message  = sprintf(__('Username: %s'), $user->user_login) . "\r\n";
  	$message .= sprintf(__('Password: %s'), $plaintext_pass) . "\r\n";
  	$message .= wp_login_url() . "\r\n";
  
! 	wp_mail($user->user_email, sprintf(__('[%s] Your username and password'), $blogname), $message);
  
  }
  endif;
***************
*** 1563,1569 ****
  function wp_set_password( $password, $user_id ) {
  	global $wpdb;
  
! 	$hash = wp_hash_password($password);
  	$wpdb->update($wpdb->users, array('user_pass' => $hash, 'user_activation_key' => ''), array('ID' => $user_id) );
  
  	wp_cache_delete($user_id, 'users');
--- 1566,1572 ----
  function wp_set_password( $password, $user_id ) {
  	global $wpdb;
  
! 	$hash = wp_hash_password( trim( $password ) );
  	$wpdb->update($wpdb->users, array('user_pass' => $hash, 'user_activation_key' => ''), array('ID' => $user_id) );
  
  	wp_cache_delete($user_id, 'users');
***************
*** 1708,1723 ****
  
  	$left_lines  = explode("\n", $left_string);
  	$right_lines = explode("\n", $right_string);
- 
  	$text_diff = new Text_Diff($left_lines, $right_lines);
! 	$renderer  = new WP_Text_Diff_Renderer_Table();
  	$diff = $renderer->render($text_diff);
  
  	if ( !$diff )
  		return '';
  
  	$r  = "<table class='diff'>\n";
! 	$r .= "<col class='ltype' /><col class='content' /><col class='ltype' /><col class='content' />";
  
  	if ( $args['title'] || $args['title_left'] || $args['title_right'] )
  		$r .= "<thead>";
--- 1711,1730 ----
  
  	$left_lines  = explode("\n", $left_string);
  	$right_lines = explode("\n", $right_string);
  	$text_diff = new Text_Diff($left_lines, $right_lines);
! 	$renderer  = new WP_Text_Diff_Renderer_Table( $args );
  	$diff = $renderer->render($text_diff);
  
  	if ( !$diff )
  		return '';
  
  	$r  = "<table class='diff'>\n";
! 
! 	if ( ! empty( $args[ 'show_split_view' ] ) ) {
! 		$r .= "<col class='content diffsplit left' /><col class='content diffsplit middle' /><col class='content diffsplit right' />";
! 	} else {
! 		$r .= "<col class='content' />";
! 	}
  
  	if ( $args['title'] || $args['title_left'] || $args['title_right'] )
  		$r .= "<thead>";
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/plugin.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/plugin.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/plugin.php	2012-07-21 15:24:21.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/plugin.php	2013-07-16 08:59:43.000000000 -0500
***************
*** 45,51 ****
   *
   * <strong>Note:</strong> the function will return true no matter if the
   * function was hooked fails or not. There are no checks for whether the
!  * function exists beforehand and no checks to whether the <tt>$function_to_add
   * is even a string. It is up to you to take care and this is done for
   * optimization purposes, so everything is as quick as possible.
   *
--- 45,51 ----
   *
   * <strong>Note:</strong> the function will return true no matter if the
   * function was hooked fails or not. There are no checks for whether the
!  * function exists beforehand and no checks to whether the <tt>$function_to_add</tt>
   * is even a string. It is up to you to take care and this is done for
   * optimization purposes, so everything is as quick as possible.
   *
***************
*** 604,615 ****
   * Set the activation hook for a plugin.
   *
   * When a plugin is activated, the action 'activate_PLUGINNAME' hook is
!  * activated. In the name of this hook, PLUGINNAME is replaced with the name of
!  * the plugin, including the optional subdirectory. For example, when the plugin
!  * is located in wp-content/plugin/sampleplugin/sample.php, then the name of
!  * this hook will become 'activate_sampleplugin/sample.php'. When the plugin
!  * consists of only one file and is (as by default) located at
!  * wp-content/plugin/sample.php the name of this hook will be
   * 'activate_sample.php'.
   *
   * @package WordPress
--- 604,616 ----
   * Set the activation hook for a plugin.
   *
   * When a plugin is activated, the action 'activate_PLUGINNAME' hook is
!  * called. In the name of this hook, PLUGINNAME is replaced with the name
!  * of the plugin, including the optional subdirectory. For example, when the
!  * plugin is located in wp-content/plugins/sampleplugin/sample.php, then
!  * the name of this hook will become 'activate_sampleplugin/sample.php'.
!  *
!  * When the plugin consists of only one file and is (as by default) located at
!  * wp-content/plugins/sample.php the name of this hook will be
   * 'activate_sample.php'.
   *
   * @package WordPress
***************
*** 628,648 ****
   * Set the deactivation hook for a plugin.
   *
   * When a plugin is deactivated, the action 'deactivate_PLUGINNAME' hook is
!  * deactivated. In the name of this hook, PLUGINNAME is replaced with the name
   * of the plugin, including the optional subdirectory. For example, when the
!  * plugin is located in wp-content/plugin/sampleplugin/sample.php, then
!  * the name of this hook will become 'activate_sampleplugin/sample.php'.
   *
   * When the plugin consists of only one file and is (as by default) located at
!  * wp-content/plugin/sample.php the name of this hook will be
!  * 'activate_sample.php'.
   *
   * @package WordPress
   * @subpackage Plugin
   * @since 2.0
   *
   * @param string $file The filename of the plugin including the path.
!  * @param callback $function the function hooked to the 'activate_PLUGIN' action.
   */
  function register_deactivation_hook($file, $function) {
  	$file = plugin_basename($file);
--- 629,649 ----
   * Set the deactivation hook for a plugin.
   *
   * When a plugin is deactivated, the action 'deactivate_PLUGINNAME' hook is
!  * called. In the name of this hook, PLUGINNAME is replaced with the name
   * of the plugin, including the optional subdirectory. For example, when the
!  * plugin is located in wp-content/plugins/sampleplugin/sample.php, then
!  * the name of this hook will become 'deactivate_sampleplugin/sample.php'.
   *
   * When the plugin consists of only one file and is (as by default) located at
!  * wp-content/plugins/sample.php the name of this hook will be
!  * 'deactivate_sample.php'.
   *
   * @package WordPress
   * @subpackage Plugin
   * @since 2.0
   *
   * @param string $file The filename of the plugin including the path.
!  * @param callback $function the function hooked to the 'deactivate_PLUGIN' action.
   */
  function register_deactivation_hook($file, $function) {
  	$file = plugin_basename($file);
***************
*** 784,789 ****
  		}
  	} else if ( is_string($function[0]) ) {
  		// Static Calling
! 		return $function[0].$function[1];
  	}
  }
--- 785,790 ----
  		}
  	} else if ( is_string($function[0]) ) {
  		// Static Calling
! 		return $function[0] . '::' . $function[1];
  	}
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/pomo/translations.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/pomo/translations.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/pomo/translations.php	2012-10-31 18:56:23.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/pomo/translations.php	2013-01-30 19:01:19.000000000 -0600
***************
*** 57,63 ****
  		$this->headers[$header] = $value;
  	}
  
! 	function set_headers(&$headers) {
  		foreach($headers as $header => $value) {
  			$this->set_header($header, $value);
  		}
--- 57,63 ----
  		$this->headers[$header] = $value;
  	}
  
! 	function set_headers($headers) {
  		foreach($headers as $header => $value) {
  			$this->set_header($header, $value);
  		}
***************
*** 242,248 ****
  	function set_header($header, $value) {
  	}
  
! 	function set_headers(&$headers) {
  	}
  
  	function get_header($header) {
--- 242,248 ----
  	function set_header($header, $value) {
  	}
  
! 	function set_headers($headers) {
  	}
  
  	function get_header($header) {
